@import "src/@fuse/scss/fuse";

:host {

    // .top-bg {
    //     position: absolute;
    //     z-index: 1;
    //     top: 0;
    //     right: 0;
    //     left: 0;
    //     height: 200px ;
    //     background-image: $top-bg-image;
    //     background-size: cover;
        
    //     @include media-breakpoint-down(xs) {
    //         height: 240px;
    //     }
    // }
    

    #price-tables {
        
        .header {
            padding: 12px;
            height: 100px;
            min-height: 100px;
            background-image: $top-bg-image;
            background-size: cover;

            @include media-breakpoint-down('xs') {
                height: 400px;
                min-height: 400px;
            }

            .hero-text {
                margin: 8px 24px;

                @include media-breakpoint-down('xs') {
                    margin: 64px 24px;
                }

                .h1 {
                    color: white;
                    font-size: 48px;
                    font-weight: 300;
                    letter-spacing: 0.01em;
                    text-align: center;

                    @include media-breakpoint-down('xs') {
                        font-size: 32px;
                    }
                }

                .h3 {
                    color: rgba(255, 255, 255, 0.75);
                    max-width: 480px;
                    text-align: center;
                    margin-top: 16px;
                    font-weight: 300;
                    letter-spacing: 0.03em;

                    @include media-breakpoint-down('xs') {
                        font-size: 14px;
                    }
                }
            }
        }

        .content {

            .mat-tab-group,
            .mat-tab-body-wrapper,
            .tab-content {
                flex: 1 1 auto;
                max-width: 100%;
                padding: 30px;
            }
    
            .mat-tab-body-content {
                display: flex;
            }
    
            .mat-tab-label {
                height: 64px;
            }

            
        }

        .price-tables {
            // flex: 1 0 auto;
            // margin-top: -192px;

            @include media-breakpoint-down('xs') {
                // margin-top: -128px;
            }

            .price-table {
                width: 205px;
            }
        }

        .faq {
            flex: 1 0 auto;
            margin: 96px auto;
            max-width: 840px;

            .title {
                font-size: 32px;
                font-weight: 300;
                text-align: center;
                margin-bottom: 64px;
                padding: 0 16px;
            }

            .item {
                padding: 24px;

                .question {
                    font-size: 18px;
                    margin-bottom: 8px;
                }

                .answer {
                    font-size: 16px;
                    line-height: 1.5;
                    color: rgba(0, 0, 0, 0.54);
                }
            }
        }
    }
}